> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3os.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Slack: Update Message

Update an existing Slack message via native OAuth integration. Replaces the text content of a previously posted message. Ideal for: status updates, live dashboards, correcting messages, progress indicators.

![Slack: Update Message logo](https://ai-icon.b3.fun/logo/slack)
Catalog action Integrations slack

Update an existing Slack message via native OAuth integration. Replaces the text content of a previously posted message. Ideal for: status updates, live dashboards, correcting messages, progress indicators.


## At a Glance

| Field | Value |
| --- | --- |
| Action ID | `slack-update-message` |
| Category | Integrations |
| Connector | `slack` |
| Requires gas | No |
| Funds movement | None declared |
| Tags | `slack`, `messaging`, `notification`, `write`, `chat` |

## Payload Schema

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `channel` | `string` | Yes | Channel ID containing the message |
| `ts` | `string` | Yes | Timestamp of the message to update |
| `text` | `string` | Yes | New message text. Supports Markdown: **bold**, _italic_, 'code', links |

## Result Schema

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `success` | `boolean` | Yes | - |
| `data` | `object` | No | - |

## Examples

**Workflow node**

```json
{
  "type": "slack-update-message",
  "payload": {
    "channel": "example-channel",
    "ts": "example-ts",
    "text": "Workflow completed"
  },
  "children": [],
  "connector": {
    "type": "slack",
    "id": "conn_slack"
  }
}
```
  **Test with API**

```bash
curl -X POST "https://api.b3os.org/v1/actions/slack-update-message/test" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "inputs": {
    "channel": "example-channel",
    "ts": "example-ts",
    "text": "Workflow completed"
  }
}'
```

**Use expressions for dynamic values**

Payload fields can use workflow expressions such as `{{$trigger.body.amount}}`, `{{$nodes.fetch.result.price}}`, and `{{$props.asset}}` when the value should come from a trigger, prior node, or reusable workflow prop.